# Episode 9, Part 1: Kotlin Gradle plugin, compilers and build systems with Alexey Tsvetkov

**Important note for Pocket Casts app users:**
Unfortunately Pocket Casts android app has a problem with downloading our episodes (to listen to them offline).
It seems that while downloading their android app is using a old http client which doesn't support latest TLS cipher standards we use on server side to host our episodes.  

Nevertheless, **streaming our episodes (instead of downloading) works** in Pocket Casts android app.

See this tutorial: [Pocket Casts: Streaming](http://support.pocketcasts.com/article/streaming-episodes/)


### [How to listen & subscribe](https://github.com/artem-zinnatullin/TheContext-Podcast)

 - [Discussion after the episode](https://github.com/artem-zinnatullin/TheContext-Podcast/issues/62)


In this episode we have talked with Alexey Tsvetkov who works at the Kotlin team at jetbrains on Kotlin's gradle plugin, compilers and build systems in general.

In the first part (of two parts) we have covered:

 - Gradle Build System and its build phases
 - Kotlin Gradle plugin
 - Compiling mixed Kotlin and Java projects
 - Incremental compilation
 - How a compiler works
 - Compiler Frontends and Backends

#### Guest:

Alexey Tsvetkov [@tsvtkv](https://twitter.com/tsvtkv), [GitHub](https://github.com/tsvtkv)

#### Hosts:

  - Artem Zinnatullin [@artem_zin](https://twitter.com/artem_zin), [personal blog](http://artemzin.com), [GitHub](https://github.com/artem-zinnatullin)
  - Hannes Dorfmann [@sockeqwe](https://twitter.com/sockeqwe), [personal blog](http://hannesdorfmann.com), [GitHub](https://github.com/sockeqwe)

#### Additional links:
 - [Kotlin programming language](https://kotlinlang.org)
 - [Gradle: The Build Lifecycle](https://docs.gradle.org/current/userguide/build_lifecycle.html)
 - [Kotlin native](https://blog.jetbrains.com/kotlin/2017/04/kotlinnative-tech-preview-kotlin-without-a-vm/)
 - [JPS: IntelliJ IDEA's internal build system](https://github.com/JetBrains/intellij-community/tree/master/jps)
 - [Kotlin Koans](https://kotlinlang.org/docs/tutorials/koans.html)
